/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package lesson9;

import java.io.Serializable;

/**
 *
 * @author admin
 */
public class Team{

    private String name;
    private int wonMatches = 0;
    private int drawMatches = 0;
    private int lostMatches = 0;
    private int goalsFor = 0;
    private int goalsAgainst = 0;

    public Team(String name, int wonMatches, int drawMatches, int lostMatches, int goalsFor, int goalsAgainst) {
        this.name = name;
        this.wonMatches = wonMatches;
        this.drawMatches = drawMatches;
        this.lostMatches = lostMatches;
        this.goalsFor = goalsFor;
        this.goalsAgainst = goalsAgainst;
    }

    public Team(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name + " - won:" + wonMatches + ", draw:" + drawMatches + ", lost:" + lostMatches + ", for:" + goalsFor + ", against:" + goalsAgainst + ", points:" + getPoints();
    }

    public int getGoalsDifference() {
        return goalsFor - goalsAgainst;
    }

    public int getPoints() {
        return wonMatches * 3 + drawMatches;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getPlayedMatches() {
        return wonMatches + drawMatches + lostMatches;
    }

    public int getWonMatches() {
        return wonMatches;
    }

    public void setWonMatches(int wonMatches) {
        this.wonMatches = wonMatches;
    }

    public int getDrawMatches() {
        return drawMatches;
    }

    public void setDrawMatches(int drawMatches) {
        this.drawMatches = drawMatches;
    }

    public int getLostMatches() {
        return lostMatches;
    }

    public void setLostMatches(int lostMatches) {
        this.lostMatches = lostMatches;
    }

    public int getGoalsFor() {
        return goalsFor;
    }

    public void setGoalsFor(int goalsFor) {
        this.goalsFor = goalsFor;
    }

    public int getGoalsAgainst() {
        return goalsAgainst;
    }

    public void setGoalsAgainst(int goalsAgainst) {
        this.goalsAgainst = goalsAgainst;
    }
}
